Skip to main content
POST
/
api
/
public
/
v1
/
notes
Create Note Jsonapi
curl --request POST \
  --url https://api.example.com/api/public/v1/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>",
    "attributes": {
      "summary": "<string>",
      "classification": "NOT_MISLEADING",
      "community_server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channel_id": "<string>",
      "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "attributes": {
      "author_id": "<string>",
      "summary": "<string>",
      "classification": "<string>",
      "channel_id": "<string>",
      "helpfulness_score": 0,
      "status": "NEEDS_MORE_RATINGS",
      "ai_generated": false,
      "ai_provider": "<string>",
      "ai_model": "<string>",
      "force_published": false,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "platform_message_id": "<string>",
      "platform_channel_id": "<string>",
      "force_published_at": "2023-11-07T05:31:56Z",
      "ratings_count": 0,
      "community_server_id": "<string>"
    },
    "type": "notes"
  },
  "jsonapi": {
    "version": "1.1"
  },
  "links": {
    "self_": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next_": "<string>",
    "describedby": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Body

application/json

JSON:API request body for creating a note.

data
NoteCreateData · object
required

JSON:API data object for note creation.

Response

Successful Response

JSON:API response for a single note resource.

data
NoteResource · object
required

JSON:API resource object for a note.

jsonapi
Jsonapi · object

JSON:API links object for pagination and resource links.

Uses field aliases for 'self' and 'next' which are Python reserved words. Always use by_alias=True when serializing. Includes JSON:API 1.1 'describedby' link for API documentation.